#!/bin/bash
cd "$(dirname "$0")"/..
set -e
cargo build --release --target x86_64-unknown-linux-musl
rm -rf build
mkdir -p build
cp ./target/x86_64-unknown-linux-musl/release/hacker-challenge build/
cp scripts/start.sh build/
cp scripts/Dockerfile build/
cd build

docker build -t hacker-challenge:latest .

docker ps -a | grep 'hacker-challenge' | awk '{ print $NF }' | xargs docker rm -f || true

for i in {0..10}
do
  docker run -d --name "hacker-challenge_$i" \
    --env INIT_NODES="172.17.0.2 172.17.0.3 172.17.0.4" \
    hacker-challenge:latest
done

cd ..
echo sleeping 3 seconds before starting tests...
sleep 10
source ./scripts/run_tests.sh
